const defaultExclude = [
  '**/node_modules/**',
  '**/.git*/**',
  '**/.git*',
  '**/.well-known/**',
  '*.{exe,docx}',
  '**/cache*/**',
  '**/tmp*/**',
  '**/logs/**',
  '**/web.config',
  '.idea/**',
  '.ftp-deploy-sync-state.json',
];

export const cfg = {
  'info': {
    folder: 'information-system',
    exclude: [].concat(defaultExclude, [
      '{document,download_statement,sample}/**',
      '**/author/document/**',
      '**/kcfinder/upload/**',
      '**/kcfinder/cache/**',
      '**/cache/**',
      '**/author/document/**',
      '**/statement_files/**',
      '**/paypal_activities/**',
      '**/author/document/**',
      '**/application/libraries/composer/**',
      '**/application/config/database.php',
    ]),
  },
  'gh': {
    folder: 'globalhighlights.com',
    exclude: [].concat(defaultExclude, ['**/{image,design,system}/**']),
  },
  'ch': {
    folder: 'chinahighlights.com',
    exclude: [].concat(defaultExclude, [
      '**/{image,design,system,pdf}/**',
      '**/CHT/logs/**',
      '**/CHT/cache/**',
      '**/{community,media,image,video,mapi,css,js,CHTMinTools}/**',
      '**/api/getdevice/**',
      '**/api/cache/**',
      '*.{jpg,jpeg,png,bmp,gif,css,js,mp4,mp3,db,pdf,rar,zip,flv,swf,xml,ppt,txt,log,chunk,pdf,pps,doc,bak,exe,dll,apk,mpg,webm,cookie}',
    ]),
  },
  'ch-data': {
    folder: 'data.chinahighlights.com',
    exclude: [].concat(defaultExclude, []),
  },
  'ah': {
    folder: 'asiahighlights.com',
    exclude: [].concat(defaultExclude, [
      '**/aspbackup/**',
      // '**/image/**',
      '**/pic/**',
      '**/videos/**',
      '**/web.config',
      '*.jpg',
      '*.png',
      '*.gif',
    ]),
  },
  'ts': {
    folder: 'trainspread.com',
    exclude: [].concat(defaultExclude, []),
  },
};
